#include "BustaGraphicsSprites.h"

//Load all the sprites
BustaGraphicsSprites::BustaGraphicsSprites()
{
		printf("BustaGraphicsSprites() called.\n");
		LoadFoodPieces();
}

//Only loads one static bitmap for now
void BustaGraphicsSprites::LoadFoodPieces()
{
		char filename[255];
		SDL_Surface* temp;
		
		//Load FoodPieceTomato
		sprintf(filename, "%s/%s", PATH_FOOD_PIECE_TOMATO, "0.bmp");
		
		if ( (sprites_tomato = SDL_LoadBMP(filename)) == NULL)
				printf("Sprites Load failed!\n");


		printf("sprites loaded.\n");
}

//Returns the correct food sprite based the food_piece passed in
//** Always returns Tomato for now **
SDL_Surface* BustaGraphicsSprites::getFoodSprite(BustaModelFoodPiece* food_piece)
{
		switch (food_piece->getType())
		{
				default:
						return sprites_tomato;
		}
}
