#include "BustaModelCursor.h"

BustaModelCursor::BustaModelCursor(){
	pos = new BustaModelPosition();
	alignment = RIGHT;
	modifier = 0;
}


BustaModelCursor::~BustaModelCursor(){
	delete pos;
}

BustaModelPosition* BustaModelCursor::getPosition(){
	return pos;
}


void BustaModelCursor::setPosition(BustaModelPosition* p){
	pos->setX(p->getX());
	pos->setY(p->getY());
}

void BustaModelCursor::setPosition(int x, int y){
	pos->setX(x);
	pos->setY(y);
}

int BustaModelCursor::getAlignment(){
	return alignment;
}


void BustaModelCursor::setAlignment(int a){
	alignment = a;
}


int BustaModelCursor::getModifier(){
	return modifier;
}


void BustaModelCursor::setModifier(int m){
	modifier = m;
}