/*	Filename:		BustaModelOpponent.h
 *	Description:	Busta' Sandwich Opponent model.
 *
 */

#ifndef BUSTA_SANDWICH_OPPONENT
#define BUSTA_SANDWICH_OPPONENT

#include "BustaModelTipJar.h"

/**
 * @class BustaModelOpponent
 *
 */
class BustaModelOpponent
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelOpponent();

		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelOpponent(int c, int h, int s);


		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelOpponent();

		/**
		 * @brief gets Character
		 */
		int getCharacter();

		/**
		 * @brief gets health of character
		 */
		int getHealth();

		/**
		 * @brief gets amount in tipjar
		 */
		int getTips();

	private:
		int character;
		int health;
		BustaModelTipJar* tips; 
};

#endif