/*	Filename:		BustaSandwichServer.cpp
 *	Description:	Main stand-alone server application for Busta' Sandwich
 *
 */

#include <stdio.h>
#include <string.h>

#include "BustaNetServer.h"

/* void Usage(char** argv)
 *
 *	Prints proper usage of the application (input parameters, etc)
 */
void Usage(char** argv)
{
	printf("Usage: %s\n", argv[0]);





}

int main(int argc, char** argv)
{
	int AcceptRet, CharSelRet, GameRet;		// Return values of all server states
	char* initRet;							// Return value of server initialization
	char* newName;							// server's assigned name

	// Create instance of server
	BustaNetServer* server = new BustaNetServer();

	/* Define Server Defaults */
	newName = "BustaSandwich Server";
	server->setName(newName);			// default server name "BustaSandwich Server"
	server->setMaxClients(4);			// default 4 players
	server->setDebug(false);			// no debugging output

	// Parameters supplied
	//if (argc > 1)
	//{
	//	// Iterate across each parameter set server settings
	//	for (int i = 1; i <= argc; i++)
	//	{
	//		if (strcmp(argv[i], "-h") == 1)							// Help Requested
	//		{
	//			Usage(argv);		// Print proper usage of applications
	//			return 0;
	//		}
	//		else if (strcmp(argv[i], "-d") == 1)					// Output Debug 
	//		{
	//			server->setDebug(true);
	//		}
	//		else													// Invalid Parameter
	//		{
	//				printf("Invalid Parameter: %s\n", argv[i]);
	//				printf("Aborting\n");
	//				return 1;
	//		}
	//	}
	//}
	
	server->setDebug(true);

	// Initialize server
	server->init(65535);

	AcceptRet = server->setStateAccept();

	//for (;;)
	//{
	//	/* Accepting incoming client connections */
	//	AcceptRet = server->setStateAccept();

	//	// If error occurs, print to console and exit
	//	if (AcceptRet < 0)
	//	{
	//		printf("Error Connecting Clients\n");
	//		printf("Aborting\n");
	//		return 1;
	//	}

	//	/* Character Selection State */
	//	CharSelRet = server->setStateCharSelect();

	//	// If error occurs, print to console and exit
	//	if (CharSelRet < 0)
	//	{
	//		printf("Error During Character Selection\n");
	//		printf("Aborting\n");
	//		return 1;
	//	}
	//	else if (CharSelRet == 0)	// If less than two players remain on server
	//	{


	//	}
	//	else		// All characters have selected a character
	//	{


	//	}
	//}

	// Free Allocated Memory
	delete(server);

	return 0;
}
