/*
 * TestGameState.h
 * Busta' Sandwich Test Game State class
 * Used to test drawing methods.
 *
 * Created: July 16, 2005
 * Last Modified:
 *
 */
class FoodPiece
{
	private:
		enum TYPE {TOMATO, LETTUCE, CHEESE, JALAPENO, HAM};
	
	public:
		FoodPiece(TYPE type);
}

class TestGameState
{

	public:
		FoodPiece** board;
		int boardCols, boardRows;
		int score;
		
		BustaGameState(int rows, int cols, int score)
		{
			boardCols = cols;
			boardRows = rows;

			//Dynamically allocate space for the FoodPiece matrix 
			board = (FoodPiece**) malloc( sizeof(FoodPiece*) * rows);
			for (int i=0; i<rows; i++)
				board[i] = (FoodPiece*) malloc( sizeof(FoodPiece) * cols );
		}
}


