/*
 * BustaGraphicsSprites.h
 * Sprites Class
 *
 */
#ifndef BUSTA_GRAPHICS_SPRITES
#define BUSTA_GRAPHICS_SPRITES

#include "SDL.h"
#include "../Models/BustaModelGameState.h"


#define PATH_FOOD_PIECE_TOMATO		"../sprites/FoodPieces/Tomato"

class BustaGraphicsSprites
{
		public:
			BustaGraphicsSprites();
			SDL_Surface* sprites_tomato;
				
			SDL_Surface* getFoodSprite(BustaModelFoodPiece* food_piece);

		private:
			
			void LoadFoodPieces();
			
			
};

#endif
