/* 
 * gfxTest.cpp
 * Test file for BustaGraphics
 * Meant for informal code testing
 *
 * Created: July 15, 2005
 * Last Modified:
 *
 */

#include "SDL.h"
#include "BustaGraphics.h"
#include "../Models/BustaModelGameState.h"

int main(int argc, char *argv[])
{
	if ( SDL_Init(SDL_INIT_AUDIO|SDL_INIT_VIDEO) < 0 )
  	{
    	printf("Unable to init SDL: %s\n", SDL_GetError());
		return 0;
	}

	BustaGraphics display;
	printf("display initialized!\n");

	BustaModelGameState* game_state = new BustaModelGameState();
	printf("game_state created!\n");

	BustaModelFoodPiece* tomato = new BustaModelFoodPiece();
	tomato->setType(1);
	printf("%d tomato created!\n", tomato->getType());
	
	for(int i=0; i<5; i++)
		for(int j=0; j<5; j++)
			game_state->setBoard(i, j, tomato);
	printf("assigned tomatoes to board!\n");

		printf("%d getboard\n", (game_state->getBoard(3,4))->getType());

	for(int i=0; i<5; i++){
		for(int j=0; j<5; j++)
		{
			if(! (game_state->getBoard(i,j)))	printf("Null freaking pointer.\n");
			printf("(%d,%d): %d | ",i,j, (game_state->getBoard(i,j))->getType() );
		}}

	bool done = false;
	while(!done)
  	{
    	SDL_Event event;

		while ( SDL_PollEvent(&event) )
    	{
      		if ( event.type == SDL_QUIT )  {  done = 1;  }

		    if ( event.type == SDL_KEYDOWN )
      		{
       			 if ( event.key.keysym.sym == SDLK_ESCAPE ) done = true;
      		}
    	}
		display.drawSPGame(game_state);

	}

	return 0;
}
	

	
