/*	Filename:		BustaModelChef.h
 *	Description:	Busta' Sandwich Chef model.
 *
 */

#ifndef BUSTA_SANDWICH_CHEF
#define BUSTA_SANDWICH_CHEF

#include "BustaModelAnimation.h"

/**
 * @class BustaModelChef
 *
 */
class BustaModelChef
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelChef();

		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelChef();


		/**
		 * @brief Returns the health of the chef
		 */
		int getHealth();

		/**
		 * @brief Sets the health of the chef
		 */
		void setHealth(int h);
		

		/**
		 * @brief Returns a pointer to the animation object
		 */
		BustaModelAnimation* getAnimation();


	private:
		int health;
		BustaModelAnimation* anim;
};

#endif